internal.h File Reference

This header contains declaration internal to log4cplus. More...

`#include <log4cplus/config.hxx>`
`#include <memory>`
`#include <vector>`
`#include <sstream>`
`#include <cstdio>`
`#include <log4cplus/tstring.h>`
`#include <log4cplus/streams.h>`
`#include <log4cplus/ndc.h>`
`#include <log4cplus/mdc.h>`
`#include <log4cplus/spi/loggingevent.h>`
`#include <log4cplus/thread/impl/tls.h>`
`#include <log4cplus/helpers/snprintf.h>`
Include dependency graph for internal.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | log4cplus::internal::gft_scratch_pad
struct | log4cplus::internal::appender_sratch_pad
struct | log4cplus::internal::per_thread_data
| Per thread data. More...

## Namespaces

namespace | log4cplus
namespace | log4cplus::internal
namespace | log4cplus::detail

## Functions

per_thread_data * | log4cplus::internal::alloc_ptd ()
void | log4cplus::internal::set_ptd (per_thread_data *p)
per_thread_data * | log4cplus::internal::get_ptd (bool alloc=true)
tstring & | log4cplus::internal::get_thread_name_str ()
tstring & | log4cplus::internal::get_thread_name2_str ()
gft_scratch_pad & | log4cplus::internal::get_gft_scratch_pad ()
appender_sratch_pad & | log4cplus::internal::get_appender_sp ()
LOG4CPLUS_EXPORT void | log4cplus::detail::clear_tostringstream (tostringstream &)

## Variables

log4cplus::tstring const | log4cplus::internal::empty_str
log4cplus::thread::impl::tls_key_type | log4cplus::internal::tls_storage_key

## Detailed Description

This header contains declaration internal to log4cplus.

They must never be visible from user accesible headers or exported in DLL/shared libray.

Definition in file internal.h.